local t = Def.ActorFrame{
	InitCommand=cmd(fov,100);
	
	Def.Quad {
		InitCommand=cmd(FullScreen;draworder,-100;);
		OnCommand=function(self)
			local gamem = GAMESTATE:GetPlayMode();
			if gamem == "PlayMode_Nonstop" then
				self:diffuse(color("0.3,0.3,0,1"));
			elseif gamem == "PlayMode_Oni" then
				self:diffuse(color("0.15,0,0.3,1"));
			elseif gamem == "PlayMode_Endless" then
				self:diffuse(color("0.3,0,0,1"));
			else
				self:diffuse(color("0.1,0,0,1"));
			end;
		end;
	};

	LoadActor( THEME:GetPathB("_shared","models/_back01") )..{
	OnCommand=cmd(blend,'BlendMode_Add';draworder,3;zoom,4;x,SCREEN_CENTER_X+300/2;addy,-100;rotationx,90;rotationy,10;rotationz,-340;diffuse,color("0.6,0.6,0.6,0.4");queuecommand,"Repeat";);
	RepeatCommand=cmd(spin;effectmagnitude,0,0,-10;);
	OffCommand=cmd(stoptweening;);
	};

	LoadActor( THEME:GetPathB("_shared","models/_box_s") )..{
	OnCommand=cmd(blend,'BlendMode_Add';draworder,4;x,SCREEN_CENTER_X+300/2;y,SCREEN_CENTER_Y;diffusealpha,0.8;zoom,0.5/2;rotationx,-130;rotationy,200;linear,0.001;rotationx,130;rotationy,-200;queuecommand,"Repeat";);
	RepeatCommand=cmd(spin;effectmagnitude,0,36,-22;);
	OffCommand=cmd(stoptweening;);
	};

	LoadActor( THEME:GetPathB("_shared","models/_box_s") )..{
	OnCommand=cmd(blend,'BlendMode_Add';draworder,5;x,SCREEN_CENTER_X+300/2;y,SCREEN_CENTER_Y;diffusealpha,0.8;zoom,0.3/2;rotationx,-130;rotationy,100;linear,0.001;rotationx,130;rotationy,100;queuecommand,"Repeat";);
	RepeatCommand=cmd(spin;effectmagnitude,0,-6,10;);
	OffCommand=cmd(stoptweening;);
	};



	LoadActor( THEME:GetPathB("","back_down_01") )..{
	OnCommand=cmd(x,SCREEN_CENTER_X-154/2;y,SCREEN_CENTER_Y;diffusealpha,0.8;);
	};

	LoadActor( THEME:GetPathB("","back_over") )..{
	OnCommand=cmd(diffusealpha,0.5;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;rotationz,0;);
	};

	LoadActor( THEME:GetPathB("","_hex/normal") )..{
	InitCommand=cmd(diffusealpha,1);
	};
	
	LoadActor( THEME:GetPathB("","underlay") )..{
	InitCommand=cmd(diffusealpha,1);
	};
};
return t;